!---------------------------------------------
! One-way wave-equation shot-profile migration
!---------------------------------------------
! Author : Yaxun Tang
! Version: 2.0
! Date   : Jan. 1, 2008
program main
  use wem_shpmig_mod
  implicit none

  integer :: stat

  stat = wem_shpmig_init()

  stat = wem_shpmig_oper()

  stat = wem_shpmig_clos()


  write(0,*)"***********************"
  write(0,*)"      Finished!!!      "
  write(0,*)"***********************"

  call sep_end_prog()

  call exit()

end program
